Index: TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
===================================================================
--- TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs	(revision 26167)
+++ TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs	(working copy)
@@ -1857,10 +1857,17 @@
                                long iStart, long iEnd, bool selectCurrentShow)
     {
       int channelNum = 0;
-      foreach (TuningDetail detail in channel.ReferringTuningDetail())
+      if (!_byIndex)
       {
-        channelNum = detail.ChannelNumber;
+        foreach (TuningDetail detail in channel.ReferringTuningDetail())
+        {
+          channelNum = detail.ChannelNumber;
+        }
       }
+      else
+      {
+        channelNum = _channelList.IndexOf(channel) + 1;
+      }
 
       string strLogo = Utils.GetCoverArt(Thumbs.TVChannel, channel.DisplayName);
       if (File.Exists(strLogo))
